<?php
/**
 * Created by PhpStorm.
 * User: zhuangxin
 * Date: 16-9-14
 * Time: 下午5:46
 */

namespace App\Article\v1\Controller;

use App\Traits\Controller;
use Symfony\Component\HttpFoundation\Request;
use App\Article\Model\Art as ArtModel;

class Article extends \Illuminate\Routing\Controller
{

    use Controller;

    protected $query_fields = [
        "uid","title","is_del","type"
    ];

    public function lists()
    {
        $query = request()->query();
        $where = $this->filter($query);
        $where = $this->setBlurSearch($where,"title");
        is_null($where) && $where = [];
        $row  = isset($query["size"])?$query["size"]:config("app.default_perpage");
        return Response::success(ArtModel::where($where)->paginate($row)->toArray());
    }

    public function store(Request $request)
    {

    }

    public function show($id)
    {
        try {
            $info = ArtModel::findOrFail($id);
            $info->getRelate(request("relation"));
            return Response::success($info->toArray());
        } catch (ModelNotFoundException $e){
            return Response::error(HttpStatus::HttpNotFound,"攻略未找到");
        }
    }

    public function keywords($id,Request $request)
    {

    }

    public function getRelate($id,$relation)
    {
        try {
            $model = WorksModel::findOrFail($id , ["id"]);
            $model->getRelate($relation);
            return Response::success($model);
        } catch (ModelNotFoundException $e){
            return Response::error(HttpStatus::HttpNotFound,"攻略未找到");
        }
    }
}