<?php

namespace App\Http\Validation;
use Illuminate\Support\Facades\Validator;

class ValidatorBase extends Validator
{
    protected $validator = [];
    protected $message  = [];
    protected static $result;

    /**
     * @return \Illuminate\Validation\Validator
     */
    public function validate(array $post)
    {
        self::$result = self::make($post,$this->validator,$this->message);
        return self::$result;
    }

    /**
     * @return array
     */
    public function getMessages()
    {
        $messages = [];
        if (self::$result->fails()) {
            foreach (self::$result->messages()->toArray() as $message) {
                $messages = array_merge($messages,$message);
            }
        }
        return $messages;
    }
}