<?php
use App\Providers\RouteServiceProvider as Provider;

Route::resource ("test"  , \App\Test\Controller\TestController::class);

//套系
Route::group(["prefix" => "sets", 'namespace' => Provider::getNamespace("sets")],function(){

    //套系列表
    Route::get ("/"     , "Sets@lists");
    //套系详情
    Route::get ("/{id}" , "Sets@info")->where(['id' => '\d+']);
    //获取关联信息
    Route::get ("/{id}/relation/{relation}" , "Sets@getRelate")->where(['id' => '\d+','relation'=>'\S+']);
    //新增套系
   /* Route::post("/"     ,  "Sets@newsets");
    //编辑套系
    Route::put ("/{id}" ,  "Sets@edit");
    //软删除套系
    Route::delete("/{id}", "Sets@softdelete");
    //删除套系
    Route::delete("/{id}/hard", "Sets@delete");
    //从软删除恢复
    Route::put ("/{id}/resume","Sets/resume");*/
});

//分类
Route::group(["prefix" => "cates", 'namespace' => Provider::getNamespace("cates")],function(){
    //获取所有分类
    Route::get ("/"     , "Category@lists");
    //获取子分类
   // Route::get ("/{id}/child" , "Category@child")->where(['id' => '\d+']) ;
    //分类详情
   // Route::get ("/{id}$", "Category@info");
});


//分类
Route::group(["prefix" => "works", 'namespace' => Provider::getNamespace("works")],function(){
    //套系列表
    Route::get ("/"     , "Works@lists");
    //套系详情
    Route::get ("/{id}" , "Works@show")->where(['id' => '\d+']);
    //获取关联信息
    Route::get ("/{id}/relation/{relation}" , "Works@getRelate")->where(['id' => '\d+','relation'=>'\S+']);
    //新增
    Route::post("/"     ,  "Sets@newsets");
     //编辑
    Route::put ("/{id}" ,  "Works@edit")->where(['id'=>'\d+']);
     //删除
    Route::delete("/{id}/hard", "Works@delete");
    //删除照片
    Route::delete("/{id}/{ids}","Works@delimage")->where(['id' => '\d+','ids'=>'\S+']);
});


//身份认证
Route::group(["prefix" => "ident", 'namespace' => Provider::getNamespace("ident")],function(){
    Route::post("/{id}"     ,  "Ident@store")->where(['id' => '\d+']);

});

//身份认证
Route::group(["prefix" => "user", 'namespace' => Provider::getNamespace("member")],function(){
    Route::get("/{id}"     ,  "User@show")->where(['id' => '\d+']);
    Route::get("/auth/{code?}" ,"User@code");
    Route::get("/show/{code}" ,"User@getUserByHashCode")->where(['code' => '\S+']);
});


